---
title: PannerNode.setPosition()
slug: Web/API/PannerNode/setPosition
tags:
  - API
  - Method
  - PannerNode
  - Reference
  - Web Audio API
  - setPosition
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>setPosition()</code> method of the {{ domxref("PannerNode") }} Interface defines the position of the audio source relative to the listener (represented by an {{domxref("AudioListener")}} object stored in the {{domxref("AudioContext.listener")}} attribute.) The three parameters <code>x</code>, <code>y</code> and <code>z</code> are unitless and describe the source's position in 3D space using the right-hand Cartesian coordinate system.</p>

<p>The <code>setPosition()</code> method's default value of the position is <code>(0,</code> <code>0,</code> <code>0)</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var panner = audioCtx.createPanner();
panner.setPosition(0,0,0);</pre>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt>x</dt>
 <dd>The x position of the panner in 3D space.</dd>
 <dt>y</dt>
 <dd>The y position of the panner in 3D space.</dd>
 <dt>z</dt>
 <dd>The z position of the panner in 3D space.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-setposition', 'setPosition()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.setPosition")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
